package com.zhyc.module.biosafety.mapper;

import java.util.List;
import com.zhyc.module.biosafety.domain.SwPrescription;
import com.zhyc.module.biosafety.domain.SwPresDetail;
import org.apache.ibatis.annotations.Mapper;

/**
 * 处方Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-11
 */
@Mapper
public interface SwPrescriptionMapper 
{
    /**
     * 查询处方
     * 
     * @param id 处方主键
     * @return 处方
     */
    public SwPrescription selectSwPrescriptionById(Long id);

    /**
     * 查询处方列表
     * 
     * @param swPrescription 处方
     * @return 处方集合
     */
    public List<SwPrescription> selectSwPrescriptionList(SwPrescription swPrescription);

    /**
     * 新增处方
     * 
     * @param swPrescription 处方
     * @return 结果
     */
    public int insertSwPrescription(SwPrescription swPrescription);

    /**
     * 修改处方
     * 
     * @param swPrescription 处方
     * @return 结果
     */
    public int updateSwPrescription(SwPrescription swPrescription);

    /**
     * 删除处方
     * 
     * @param id 处方主键
     * @return 结果
     */
    public int deleteSwPrescriptionById(Long id);

    /**
     * 批量删除处方
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSwPrescriptionByIds(Long[] ids);

    /**
     * 批量删除处方详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSwPresDetailByPersIds(Long[] ids);
    
    /**
     * 批量新增处方详情
     * 
     * @param swPresDetailList 处方详情列表
     * @return 结果
     */
    public int batchSwPresDetail(List<SwPresDetail> swPresDetailList);
    

    /**
     * 通过处方主键删除处方详情信息
     * 
     * @param id 处方ID
     * @return 结果
     */
    public int deleteSwPresDetailByPersId(Long id);
}
